VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::localaccounts::UserTypes::UserAccountStatus Class Reference

`User.UserAccountStatus` enumerated type Defines status of user accounts More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, disabled, enabled }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static UserAccountStatus[] | GetValues ()
static UserAccountStatus | ValueOf (string name)
## Static Public Attributes
static readonly UserAccountStatus | disabled = new UserAccountStatus("disabled", Values.disabled)
| The user account is disabled.
static readonly UserAccountStatus | enabled = new UserAccountStatus("enabled", Values.enabled)
| The user account is enabled.

## Detailed Description

`User.UserAccountStatus` enumerated type Defines status of user accounts

## Member Enumeration Documentation

enum vmware::appliance::techpreview::localaccounts::UserTypes::UserAccountStatus::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  disabled | The user account is disabled.
  enabled | The user account is enabled.

## Member Function Documentation

Values vmware::appliance::techpreview::localaccounts::UserTypes::UserAccountStatus::GetEnumValue | ( |  | ) | `[inline]`

static UserAccountStatus [] vmware::appliance::techpreview::localaccounts::UserTypes::UserAccountStatus::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::localaccounts::UserTypes::UserAccountStatus::IsUnknown | ( |  | ) | `[inline]`

static UserAccountStatus vmware::appliance::techpreview::localaccounts::UserTypes::UserAccountStatus::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly UserAccountStatus vmware::appliance::techpreview::localaccounts::UserTypes::UserAccountStatus::disabled = new UserAccountStatus("disabled", Values.disabled)`[static]`

The user account is disabled.

readonly UserAccountStatus vmware::appliance::techpreview::localaccounts::UserTypes::UserAccountStatus::enabled = new UserAccountStatus("enabled", Values.enabled)`[static]`

The user account is enabled.

The documentation for this class was generated from the following file:

- UserTypes.cs